<?php
include("include/data.php");
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, 
$mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, 
$page, $Nom_Client, $res, $res2, $res4, $res5, $sql6, $NumAbat;
// entete de la page
//include 'menu/header.php';

$date = date("d-m-Y");

// menu haut new-supp-modif

echo "<center><br>";

/*
ajout_decoupe_check.php?
num_ligne_lot_decoupe=41&
num_lot_decoupe=G41PORC15&
Num_Client=7&
Num_categoriePlu=6&
date_decoupe_d=10&
date_decoupe_m=12&
date_decoupe_y=2015&
num_nat_decoupe=2&
cloture=1&
poid_decoupe=41&
observations=x1
*/


$date_decoupe_y = $_POST['date_decoupe_y'];
$date_decoupe_m = $_POST['date_decoupe_m'];
$date_decoupe_d = $_POST['date_decoupe_d'];
$date_decoupe_d = $date_decoupe_d + 1 ;

$num_ligne_lot_decoupe= $_POST['num_ligne_lot_decoupe'];
$poid_decoupe=htmlentities($_POST['poid_decoupe']);
$Num_CatPlu=htmlentities($_POST['Num_CatPlu']);
$num_client_decoupe=htmlentities($_POST['num_client_decoupe']);
$num_nat_decoupe=htmlentities($_POST['num_nat_decoupe']);
$cloture=htmlentities($_POST['cloture']);
$observations=htmlentities($_POST['observations']);
$qtv=htmlentities($_POST['qtv']);

$date_decoupe_sql=date("Y-m-d", mktime(0,0,0,$date_decoupe_m,$date_decoupe_d,$date_decoupe_y));
$date_decoupe=date("d/m/y", mktime(0,0,0,$date_decoupe_m,$date_decoupe_d,$date_decoupe_y));
$date_traca=date("z", mktime(0,0,0,$date_decoupe_m,$date_decoupe_d,$date_decoupe_y));
$semaine_decoupe=date("W", mktime(0,0,0,$date_decoupe_m,$date_decoupe_d,$date_decoupe_y));


$myart = new lot_dispo ;
$select = "select * FROM lot_dispo WHERE num_ligne_lot_dispo = $num_ligne_lot_decoupe";
$result = mysqli_query($link, $select);
$myart->getnum($result);
while ($myart->z < $myart->num) {
  $myart->readrow($result);
  $num_lot_decoupe=$myart->num_lot_dispo ;
  $tracabilite_decoupe_a=$myart->num_lot_dispo_trac ;
}

$myart = new categorie_decoupe ;
$select = "select * FROM categorie_decoupe WHERE num_cate_decoupe = $num_nat_decoupe";
$result = mysqli_query($link, $select);
$myart->getnum($result);
while ($myart->z < $myart->num) {
  $myart->readrow($result);
  $lettre_trace=$myart->lettre_trace ;
}
$tracabilite_decoupe = $date_traca.$lettre_trace ;
$tracabilite_decoupe_sql=$tracabilite_decoupe_a.$tracabilite_decoupe ;

$tracabilite_decoupe=strtoupper ($tracabilite_decoupe) ;
$tracabilite_decoupe_sql=strtoupper ($tracabilite_decoupe_sql) ;

Echo "<center><font color='red'>Enregistrement</font></center>";

echo "<br>";
echo "num_ligne lot decoupe : ".$num_ligne_lot_decoupe." <br>";
echo "Date decoupe : ".$date_decoupe." date sql : ".$date_decoupe_sql." /y= ".$date_decoupe_y."  /m= ".$date_decoupe_m." /d= ".$date_decoupe_d."<br>";
echo "Num semaine : ".$semaine_decoupe." <br>";
echo "Num client : ".$num_client_decoupe." <br>";
echo "Num_Categorie PLu: ".$Num_CatPlu." <br>";
echo "Num_type decoupe : ".$num_nat_decoupe." <br>";
echo "Num Lot : ".$num_lot_decoupe." <br>";
echo "Num Lot tace : ".$tracabilite_decoupe." <br>";
echo "Poids Froid : ".$poid_decoupe." <br>";
echo "Observations : ".$observations." <br>";
echo "clos ? : ".$cloture." <br>";
echo "Qtv ? : ".$qtv." <br>";
echo "num ligne lot decoupe $num_ligne_lot_decoupe <br><br>" ;

echo "traca : ".$date_traca." lettre : $lettre_trace <br>
      tracabilite base : $tracabilite_decoupe_a Travabilite : $tracabilite_decoupe <br>
      tracabilite finale : $tracabilite_decoupe_sql <br><br><br>";

// Ajout table Decoupe
$last_num_entre = 0 ;
$sql = "SELECT max(num_decoupe) FROM decoupe";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql1 = "INSERT INTO decoupe VALUES ( 
'".$last_num_entre."',
'".$IdNumClient."',  
'".$date_decoupe_sql."',  
'".$semaine_decoupe."', 
'".$num_client_decoupe."', 
'".$num_lot_decoupe."', 
'".$tracabilite_decoupe_sql."', 
'".$num_nat_decoupe."', 
'".$Num_CatPlu."', 
'".$poid_decoupe."', 
'".$cloture."', 
'".$observations."')";

echo "requet : ".$sql1." <br>";

$res = mysqli_query($link, $sql1);

echo "resultat requet : ".$res." <br>";

// Ajout du Lot de decoupe ou casse ou trsf ou congel dans table Lot

$select = "SELECT * FROM decoupe";

$myart =new decoupe;
$result = mysqli_query($link, $select);
$myart->getnum($result);
while ($myart->z < $myart->num) {
	$myart->readrow($result);
	$num_decoupe=$myart->num_decoupe ;
}
$last_num_entre = 0 ;
$sql = "SELECT max(num_ligne_lot) FROM lot";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql2 = "INSERT INTO lot VALUES ( 
'".$last_num_entre."', 
'".$IdNumClient."', 
'".$num_client_decoupe."',  
'".$date_decoupe_sql."',
'".$num_lot_decoupe."', 
'".$tracabilite_decoupe_sql."', 
'".$num_nat_decoupe."', 
'".$poid_decoupe."', 
'0', 
'0', 
'".$num_decoupe."',
'".$observations."')";

echo "requet : ".$sql2." <br>";

$res2 = mysqli_query($link, $sql2);

echo "resultat requet : ".$res2." <br>";

// Maj Lot dispo pour solde 

if ($cloture==1){
$sql3 = "UPDATE lot_dispo SET 
`solde` = '$cloture' WHERE `num_ligne_lot_dispo` = '$num_ligne_lot_decoupe'";

echo "requet : ".$sql3." <br>";

$res3 = mysqli_query($link, $sql3);

echo "resultat requet : ".$res3." <br>";

}
// creation lot dispo si casse ou decoupe
$last_num_entre = 0 ;
$sql = "SELECT max(num_ligne_lot_dispo) FROM lot_dispo";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;


if ($num_nat_decoupe<=2) {
$sql5 = "INSERT INTO lot_dispo VALUES (
'".$last_num_entre."',
'".$IdNumClient."',  
'".$num_lot_decoupe."', 
'".$tracabilite_decoupe_sql."', 
'".$cloture."')";

echo "requet : ".$sql5." <br>";

$res5 = mysqli_query($link, $sql5);

echo "resultat requet : ".$res5." <br>";
}

// Annulation du lot casse si decoupe sur casse

// recherche si lot casse $tracabilite_decoupe_a
$lettreslotbase = substr($tracabilite_decoupe_a, -2 );
$lettre_trace= strtoupper ($lettre_trace) ;
echo "lettre si Lot Casse : $lettreslotbase | $lettre_trace <br>";

if ($lettreslotbase=="CA" AND $lettre_trace=="D" ) {
	
$last_num_entre = 0 ;
$sql = "SELECT max(num_ligne_lot) FROM lot";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql2 = "INSERT INTO lot VALUES ( 
'".$last_num_entre."', 
'".$IdNumClient."',
'".$num_client_decoupe."',  
'".$date_decoupe_sql."',
'".$num_lot_decoupe."', 
'".$tracabilite_decoupe_a."', 
'1', 
'".$poid_decoupe."', 
'1', 
'0', 
'".$num_decoupe."',
'".$observations."')";

echo "requet : ".$sql2." <br>";

$res2 = mysqli_query($link, $sql2);

echo "resultat requet : ".$res2." <br>";
	
}

// Annulation du lot decoupe si transforme sur decoupe
$lettreslotbased = substr($tracabilite_decoupe_a, -1 );
$lettre_tracesd= strtoupper ($lettre_trace) ;

echo "lettre si lot Trs sur Decoupe : $lettreslotbased | $lettre_tracesd<br>";


if ($lettreslotbased=="D" AND $lettre_tracesd=="T" ) {
	echo " OUI lettre si lot Trs sur Decoupe : $lettreslotbased | $lettre_tracesd<br>";
$last_num_entre = 0 ;
$sql = "SELECT max(num_ligne_lot) FROM lot";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql3 = "INSERT INTO lot VALUES ( 
'".$last_num_entre."', 
'".$IdNumClient."',  
'".$num_client_decoupe."',  
'".$date_decoupe_sql."',
'".$num_lot_decoupe."', 
'".$tracabilite_decoupe_a."', 
'2', 
'".$poid_decoupe."', 
'1', 
'0', 
'".$num_decoupe."',
'".$observations."')";

echo "requet : ".$sql3." <br>";

$res3 = mysqli_query($link, $sql3);

echo "resultat requet : ".$res3." <br>";
	
}

Header("Location: decoupe.php?limite=0");

?>